Cyberduck Mountain Duck CLI

#1011 closed defect (fixed)

Crash on Syncing

Reported by: king_arthur Owned by: dkocher
Priority: highest Milestone: 2.7.3
Component: core Version: 2.7.2
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

This might be already be reported but here is some code related to the problem. Cyberduck quits crashing abruptly when syncing large folders. (more than 50 to a 100 items)

2007-01-25 21:30:58.284 Cyberduck[272] jobjc_mapObjects() collision, objc object 316d60 of type (NSPlaceholderArray) being entered for Java object of class (com/apple/cocoa/foundation/NSArray) in entry 1ac40110
2007-01-25 21:30:58.284 Cyberduck[272] existing java object's class is (com/apple/cocoa/foundation/NSArray)
2007-01-25 21:30:58.285 Cyberduck[272] no corresponding java entry! (did it get collected?)
ObjCJava FATAL:
jobjc_mapObjects(): mapping inconsistency -- hashtable entries are not identical
ObjCJava Exit 

Change History (2)

comment:1 Changed on Jan 29, 2007 at 4:04:19 PM by dkocher

  • Milestone set to 2.7.3
  • Status changed from new to assigned
  • Summary changed from Cyberduck crash on Syncing to Crash on Syncing

comment:2 Changed on Jan 31, 2007 at 3:11:48 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Also see r2794.

Note: See TracTickets for help on using tickets.